name='firefox-bin'
version='139.0.0'
release='3'
desc='Fast, Private & Safe Web Browser.'
desc_ru='Быстрый, конфиденциальный и безопасный веб-браузер.'
homepage='https://www.mozilla.org/firefox/'
maintainer='Evgeniy Khramov <xpamych@yandex.ru>'
maintainer_ru="Евгений Храмов <xpamych@yandex.ru>"
architectures=('amd64' '386')
license=('MPL' 'GPL' 'LGPL')
provides=('firefox')
conflicts=('firefox' 'firefox-git')

deps=('gtk3'
      'libXt'
      'mailcap'
      'dbus-glib'
      'nss'
)

deps_debian=('libgtk-3-dev'
             'libxt6'
             'mailcap'
             'libdbus-glib-1-2'
             'libnss3'
)

opt_deps=('ffmpeg: H264/AAC/MP3 decoding'
          'NetworkManager: Location detection via available WiFi networks'
          'libnotify: Notification integration'
          'speech-dispatcher: Text-to-Speech'
          'hunspell-en-US: Spell checking, American English'
          'hunspell-ru: Spell checking, Russian'
)

opt_deps_debian=('ffmpeg: H264/AAC/MP3 decoding'
          'network-manager: Location detection via available WiFi networks'
          'libnotify-bin: Notification integration'
          'speech-dispatcher: Text-to-Speech'
          'hunspell-en-us: Spell checking, American English'
          'hunspell-ru: Spell checking, Russian'
)

if [[ $version == *.0 ]]; then
    ver="${version%.*}"
else
    ver="$version"
fi

sources_amd64=("https://download.mozilla.org/?product=firefox-${ver}&os=linux64&lang=ru")
checksums_amd64=('SKIP')
sources_386=("https://download.mozilla.org/?product=firefox-${ver}&os=linux32&lang=ru")
checksums_386=('SKIP')

options=(!strip)

scripts=(
	['postinstall']='postinstall.sh'
	['postremove']='postremove.sh'
)

package() {
  cd $srcdir
  # Create directories
  mkdir -p "$pkgdir"/usr/bin
  mkdir -p "$pkgdir"/usr/share/applications
  mkdir -p "$pkgdir"/opt

  # Install
  cp -r firefox/ "$pkgdir"/opt/firefox

  # Launchers
  install -m755 $scriptdir/firefox.sh "$pkgdir"/usr/bin/firefox

  # Desktops
  install -m644 $scriptdir/*.desktop "$pkgdir"/usr/share/applications/

  # Icons
  for i in 16x16 32x32 48x48 64x64 128x128; do
    install -d "$pkgdir"/usr/share/icons/hicolor/$i/apps/
    ln -s /opt/firefox/browser/chrome/icons/default/default${i/x*}.png \
          "$pkgdir"/usr/share/icons/hicolor/$i/apps/firefox.png
  done

  ln -sf /usr/lib/libnssckbi.so "$pkgdir"/opt/firefox/libnssckbi.so

  # Disable update checks
  mkdir "$pkgdir"/opt/firefox/distribution
  install -m644 $scriptdir/policies.json "$pkgdir"/opt/firefox/distribution/
}

files() {
  printf '"%s" ' ./opt/firefox/**/*
  printf '"%s" ' ./usr/share/icons/hicolor/*/apps/*
  echo ./usr/bin/firefox
  echo ./usr/share/applications/firefox.desktop
}