name='python3-pyaml'
version='25.1.0'
release='2'
desc='PyYAML-based module to produce a bit more pretty and readable YAML-serialized data.'
desc_ru='Модуль PyYAML для создания более красивого и читаемого YAML-представления данных.'
homepage='https://github.com/mk-fg/pretty-yaml'
maintainer='Evgeniy Khramov <xpamych@yandex.ru>'
maintainer_ru='Евгений Храмов <xpamych@yandex.ru>'
architectures=('all')
license=('WTFPL')
provides=('pyaml')
conflicts=('pyaml')

deps=("python3")
deps_arch=("python")
deps_alpine=("python3")

build_deps=("python3" "python3-pip")
build_deps_arch=("python" "python-pip")
build_deps_alpine=("python3" "py3-pip")

sources=("https://files.pythonhosted.org/packages/source/p/pyaml/pyaml-25.1.0.tar.gz")
checksums=('blake2b-256:f40604b9c1907c13dc81729a9c6b4f42eab47baab7a8738ed5d2683eac215ad0')

build() {
  cd "$srcdir/pyaml-${version}"
  python -m build --wheel --no-isolation
}

package() {
  cd "$srcdir/pyaml-${version}"
  pip install --root="${pkgdir}/" . --no-deps --ignore-installed --disable-pip-version-check
}

files() {
  echo ./usr/local/bin/pyaml
  printf '"%s" ' ./usr/local/lib/python3.*/site-packages/pyaml/**/*
  printf '"%s" ' ./usr/local/lib/python3.*/site-packages/pyaml-${version}.dist-info/*
}