name='steam'
version='1.4.4'
release='1'
desc='Module for interacting with various Steam features.'
homepage='https://github.com/ValvePython/steam'
maintainer='Евгений Храмов <xramov@yandex.ru>'
architectures=('all')
license=('MIT')
provides=('steam')
conflicts=('steam')

deps=("python3")
deps_arch=("python")
deps_alpine=("python3")

build_deps=("python3" "python3-pip")
build_deps_arch=("python" "python-pip")
build_deps_alpine=("python3" "py3-pip")

sources=("https://files.pythonhosted.org/packages/source/s/steam/steam-1.4.4.tar.gz")
checksums=('blake2b-256:9a3162ac25584988182dee5ee949395e08943ff8b11634dc33abab7078d28433')

build() {
  cd "$srcdir/steam-${version}"
  python -m build --wheel --no-isolation
}

package() {
  cd "$srcdir/steam-${version}"
  pip install --root="${pkgdir}/" . --no-deps --ignore-installed --disable-pip-version-check
}

files() {
  printf '"%s" ' ./usr/local/lib/python3.*/site-packages/steam/*
  printf '"%s" ' ./usr/local/lib/python3.*/site-packages/steam-${version}.dist-info/*
}