name='razergenie'
version='1.3.0'
release='1'
desc='Configure and control your Razer devices.'
desc_ru='Настройка и управление вашими устройствами Razer.'
homepage='https://github.com/z3ntu/RazerGenie'
maintainer='Evegeniy Khramov <xpamych@yandex.ru>'
maintainer_ru='Евгений Храмов <xpamych@yandex.ru>'
architectures=('amd64')
license=('GPL-3.0-or-later')
#provides=('alr')
#conflicts=('alr' 'alr-bin' 'alr-git')

deps=(
  'libopenrazer'
  'qt6-qtbase'
  'openrazer-daemon'
)
build_deps=(
 'meson'
 'qt6-qtbase-devel'
 'qt6-qttools-devel'
)

sources=("https://github.com/z3ntu/RazerGenie/releases/download/v$version/RazerGenie-$version.tar.xz")
checksums=('SKIP')

build() {
  meson "RazerGenie-$version" build
  meson compile -C build
}

package() {
  meson install -C build --destdir "$pkgdir"
}

files() {
  echo ./usr/local/bin/razergenie
  echo ./usr/local/share/applications/xyz.z3ntu.razergenie.desktop
  echo ./usr/local/share/icons/hicolor/scalable/apps/xyz.z3ntu.razergenie.svg
  echo ./usr/local/share/metainfo/xyz.z3ntu.razergenie.appdata.xml
  printf '"%s" ' ./usr/local/share/libopenrazer/translations/*
  printf '"%s" ' ./usr/local/share/razergenie/**/*
}
